package com.pj.project.relation_business_car;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.pj.project.tb_business.TbBusiness;
import com.pj.project.tb_business.TbBusinessMapper;
import com.pj.utils.so.SoMap;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.pj.utils.sg.*;

/**
 * Service: relation_business_car -- 
 * @author qzy 
 */
@Service
public class RelationBusinessCarService extends ServiceImpl<RelationBusinessCarMapper, RelationBusinessCar> implements IService<RelationBusinessCar> {

	/** 底层 Mapper 对象 */
	@Autowired
	RelationBusinessCarMapper relationBusinessCarMapper;

	/** 增 */
	void add(RelationBusinessCar r){
	this.save(r);
	}

	/** 删 */
	void delete(Long id){
		this.removeById(id);
	}

	/** 改 */
	void update(RelationBusinessCar r){
		updateById(r);
	}

	/** 查 */
	RelationBusinessCar getById(Long id){
		return super.getById(id);
	}

	/** 查集合 - 根据条件（参数为空时代表忽略指定条件） */  
	List<RelationBusinessCar> getList(SoMap so) {
		return relationBusinessCarMapper.getList(so);	
	}
	

}
